Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io.diff
Class SVNAllDeltaGenerator

    java.lang.Object
      org.tmatesoft.svn.core.io.diff.SVNAllDeltaGenerator

All Implemented Interfaces:
  ISVNDeltaGenerator

Deprecated. see `SVNDeltaGenerator`

public class SVNAllDeltaGenerator
extends Object
implements ISVNDeltaGenerator

The SVNAllDeltaGenerator class is a delta generator that produces only full contents delta. This kind of delta is not a result of comparing two sources, but one that contains instructions to copy bytes only from new data, where new data is the full contents of a file.

Used to generate diff windows for binary files (that are not generally compared with base revision files), and for new text files, which contents are represented as a delta versus empty contents.

Version:
  1.0
Author:
  TMate Software Ltd.

Constructor Summary
`SVNAllDeltaGenerator()` Deprecated.

Method Summary
`void` | `generateDiffWindow(String commitPath, ISVNEditor consumer, ISVNRAData workFile, ISVNRAData baseFile)` Deprecated. Generates a diff window (windows) containing instructions to apply delta which is essentially the full contents of the target file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNAllDeltaGenerator

    public SVNAllDeltaGenerator()

  Deprecated.

Method Detail

### generateDiffWindow

    public void generateDiffWindow(String commitPath,
                                   ISVNEditor consumer,
                                   ISVNRAData workFile,
                                   ISVNRAData baseFile)
                            throws SVNException

  Deprecated.
  Generates a diff window (windows) containing instructions to apply delta which is essentially the full contents of the target file.

  If the length of the working file represented by `workFile` is more than 100K, then this method devides the full contents into a number of copy-from-new-data deltas, where for each delta you have a 100K chunk of file contents.

  Specified by:
    `generateDiffWindow` in interface `ISVNDeltaGenerator`
  Parameters:
    `commitPath` - a file path
    `consumer` - an editor that receives the generated dif window(s)
    `workFile` - a working version of the file (target file)
    `baseFile` - a base file does not take part in generating diff windows
  Throws:
    `SVNException` - if an i/o error occurred
  See Also:
    `ISVNDeltaGenerator.generateDiffWindow(String, ISVNEditor, ISVNRAData, ISVNRAData)`, `SVNDiffWindowBuilder.createReplacementDiffWindow(long)`, `SVNDiffWindowBuilder.createReplacementDiffWindows(long, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.